#! /bin/bash
#====================================================================
#　[使用法]
#	下のINDEXないしMULTIについて必要な場合は"="の右側を書き換えます。
#	先頭に#がある行はコメントです。書換えはこれが無い行を対象にします。
#	目次を作成する時：set INDEX=on。作成しない時：set INDEX=off。
		INDEX=off
#	複数の文書ファイルを統合する時：set MULTI=on。単一の時：MULTI=Off。
		MULTI=off
#====================================================================
#	これ以降については、通常変更しせん
		DOCNAMEF=${0##.*/}
		DOCNAME=${DOCNAMEF%%.sh}
		echo "$DOCNAME.sh" 'ezdoc.sh Version 7.3'
		POS=creaTool/ezdoc-73/tool
		echo '<?xml version="1.0" encoding="UTF-8" ?>'>	ezdoc-ini.xml
		echo '<parameter>'>>							ezdoc-ini.xml
		echo '<name>'"$DOCNAME"'</name>'>>				ezdoc-ini.xml
# level 1
	if [ -d "../$POS" ]; then 
		HOME="../$POS"
		echo '<level>1</level>'>>						ezdoc-ini.xml
# level 2
	elif [ -d "../../$POS" ]; then
		HOME="../../$POS"
		echo '<level>2</level>'>>						ezdoc-ini.xml
# level 3
	elif [ -d "../../../$POS" ]; then
		HOME="../../../$POS"
		echo '<level>3</level>'>>						ezdoc-ini.xml
# level 4
	elif [ -d "../../../../$POS" ]; then
		HOME="../../../../$POS"
		echo '<level>4</level>'>>						ezdoc-ini.xml
# level 5
	elif [ -d "../../../../../$POS" ]; then
		HOME="../../../../../$POS"
		echo '<level>5</level>'>>						ezdoc-ini.xml
# level 6
	elif [ -d "../../../../../../$POS" ]; then
		HOME="../../../../../../$POS"
		echo '<level>6</level>'>>						ezdoc-ini.xml
# level 7
	elif [ -d "../../../../../../../$POS" ]; then
		HOME="../../../../../../../$POS"
		echo '<level>7</level>'>>						ezdoc-ini.xml
	else
# Error
		echo "フォルダ構造が違い、処理を継続できません"
		if [ -f "ezdoc-ini.xml" ]; then
			rm "ezdoc-ini.xml"
		fi
		exit
	fi

		echo '</parameter>'>>							ezdoc-ini.xml
	if [ ! -f "$DOCNAME.xml" ]; then
		echo "文書ファイルを生成します"
		xsltproc -o "$DOCNAME.xml" "$HOME/mkezdoc-utf8.xsl" ezdoc-ini.xml
	fi
	if [ ! -f "$DOCNAME.xsl" ]; then
		echo "スタイルシートを生成します"
		xsltproc -o "$DOCNAME.xsl" "$HOME/mkezdoc-xsl.xsl" ezdoc-ini.xml
	fi
	if [ "$MULTI" = 'on' ]; then
	       if [ ! -f "$DOCNAME-files.xml" ]; then
			echo '<?xml version="1.0" encoding="UTF-8" ?>'>	"$DOCNAME-files.xml"
			echo '<files>'>>								"$DOCNAME-files.xml"
			echo '<file>'"$DOCNAME.xml"'</file>'>>			"$DOCNAME-files.xml"
			echo '</files>'>>								"$DOCNAME-files.xml"
		fi
	fi
	if [ ! "$MULTI" = 'on' ]; then
		DOCNAME2="$DOCNAME"
	else
		echo "複数の文書ファイルを統合します"
		DOCNAME2="$DOCNAME-integ"
		xsltproc -o "$DOCNAME2.xml" "$HOME/mkezdoc-integ.xsl" \
			 "$DOCNAME-files.xml"
		es=$?
		if [ ! $es=0 ]; then
			if [ -f "$DOCNAME-integ.xml" ]; then
				rm "$DOCNAME-integ.xml"
			fi
			if [ -f "ezdoc-ini.xml" ]; then
				rm "ezdoc-ini.xml"
			fi
			exit
		fi
	fi
	echo "HTMLへ変換します"
	xsltproc -o "$DOCNAME.html" "$DOCNAME.xsl" "$DOCNAME2.xml"
	es=$?
	if [ ! $es=0 ]; then
		if [ -f "$DOCNAME-integ.xml" ]; then
			rm "$DOCNAME-integ.xml"
		fi
		if [ -f ezdoc-ini.xml ]; then
			rm ezdoc-ini.xml
		fi
		exit
	fi
	if [ $INDEX = 'on' ]; then
		echo "目次を作成します"
		xsltproc -o "$DOCNAME-index.html" "$HOME/mkezdoc-index.xsl" \
				"$DOCNAME2.xml"
		es=$?
		if [ ! $es=0 ]; then
			if [ -f "$DOCNAME-integ.xml" ]; then
				rm "$DOCNAME-integ.xml"
			fi
			if [ -f ezdoc-ini.xml ]; then
				rm ezdoc-ini.xml
			fi
			exit
		fi
		xsltproc -o "$DOCNAME-left.html" "$HOME/mkezdoc-left.xsl" \
				"$DOCNAME2.xml"
		es=$?
		if [ ! $es=0 ]; then
			if [ -f "$DOCNAME-integ.xml" ]; then
				rm "$DOCNAME-integ.xml"
			fi
			if [ -f ezdoc-ini.xml ]; then
				rm ezdoc-ini.xml
			fi
			exit
		fi
	fi
	if [ -f "$DOCNAME-integ.xml" ]; then
		rm "$DOCNAME-integ.xml"
	fi
	if [ -f ezdoc-ini.xml ]; then
		rm ezdoc-ini.xml
	fi
	exit
