<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- ezdocCore.xsl -->
<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" version="1.0" encoding="Shift_JIS" indent="yes" 
		doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
		/>
<!-- =============================================================== -->
<!-- ̍ق̊lݒ -->
	<!-- ̑傫̑I
		font-size="normal | smaller" Ӗ=" | "	-->
	<xsl:variable name="font-size" select="'normal'"/>
	<!-- ̂̑I
		font-face="gothic | mincho" Ӗ="SVbN | "	-->
	<xsl:variable name="font-face" select="'gothic'"/>
	<!-- }A\Ȃǂ̔ԍʂ̑IB͂̏ꍇ̗F}4.2
		numbering="article | section" Ӗ=" | " -->
	<xsl:variable name="numbering" select="'section'"/>
<!-- =============================================================== -->
<xsl:template match="/">
	<xsl:apply-templates select="article"/>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="article">
	<xsl:call-template name="htmlProc"/>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="htmlProc">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
		<head>
			<xsl:call-template name="head"/>
		</head>
		<body class="base">
			<xsl:call-template name="body"/>
		</body>
	</html>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="head">
	<xsl:call-template name="meta"/>
	<xsl:call-template name="css"/>
	<xsl:call-template name="htmlTitle"/>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="meta">
	<meta http-equiv="Content-Type" content="text/html;charset=Shift_JIS"/>
	<meta http-equiv="Content-Style-Type" content="text/css"/>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="css">
	<style type="text/css">
			<xsl:call-template name="font-set"/>
	</style>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="font-set">
	<xsl:text>
		.base	{</xsl:text>

	<xsl:choose>
	<xsl:when test="normalize-space($font-size) = 'smaller'">
		<xsl:text>font-size: 88.8%; </xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>font-size: 100%; </xsl:text>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:choose>
	<xsl:when test="normalize-space($font-face) = 'mincho'">
		<xsl:text>font-family: "MS PMincho";</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>font-family: "MS PGothic";</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:text> line-height: 1.16em;}</xsl:text>

	<xsl:text>
		.pre	{font-size:  80%; line-height: 100%; font-family: "MS Gothic";}</xsl:text>
	<xsl:text>
		.medium	{font-size: 100%; font-weight:bolder;}</xsl:text>
	<xsl:text>
		.large	{font-size: 120%; font-weight:bolder;}</xsl:text>
	<xsl:text>
		.larger	{font-size: 150%; font-weight:bolder;}</xsl:text>
	<xsl:text>
		.huge	{font-size: 180%; font-weight:bolder;}
	</xsl:text>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="htmlTitle">
	<title>
		<xsl:value-of select="title/text()" />
	</title>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="body">
	<xsl:call-template name="heading"/>
	<xsl:apply-templates select="section | pa" />
	<xsl:call-template name="trailing"/>
	<xsl:apply-templates select="appendix" />
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="heading">
	<a name="h0" />
	<xsl:apply-templates select="title"/>
	<xsl:apply-templates select="subtitle"/>
	<xsl:call-template name="dateAndAuthor"/>
	<xsl:apply-templates select="preface" />
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="article/title">
	<xsl:if test="string-length(normalize-space(text())) != 0">
		<p>
			<center class="huge">
				<xsl:apply-templates select="text()" />
			</center>
		</p>
	</xsl:if>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="subtitle">
	<xsl:if test="string-length(normalize-space(text())) != 0">
		<p>
			<center>
				<span class="medium">
					<xsl:apply-templates select="text()" />
				</span>
			</center>
		</p>
	</xsl:if>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="dateAndAuthor">
	<xsl:if test="
			string-length(normalize-space(date)) != 0
			or string-length(normalize-space(author)) != 0
			">
		<p>
			<table width="100%"><tr><td/>
				<td align="left">
					<xsl:attribute name="width">
						<xsl:choose>
						<xsl:when test="string-length(normalize-space
								(author/@width)) != '0'">
							<xsl:value-of 
									select="normalize-space(author/@width)"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>150</xsl:text>
						</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<span class="medium">
						<xsl:apply-templates select="date" />
						<xsl:apply-templates select="author"/>
					</span>
					</td></tr>
			</table>
		</p>
	</xsl:if>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="date">
	<xsl:apply-templates select="text()" />
	<br/>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="author">
	<xsl:apply-templates select="text() | br" />
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="preface">
	<p>
		<center>
			<table width="85%">
				<xsl:apply-templates select="pa" />
			</table>
		</center>
	</p>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="section">
	<xsl:param name="level" select="'1'"/>
	<a>
		<xsl:call-template name="linkNumber"/>
	</a>
	<p>
		<xsl:attribute name="class">
			<xsl:choose>
			<xsl:when test="$level = '1'">
				<xsl:value-of select="'large'"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="'medium'"/>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:call-template name="sectionNumber"/>
	</p>
	<xsl:apply-templates select="section | pa">
		<xsl:with-param name="level" select="$level + 1"/>
	</xsl:apply-templates>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="appendix">
	<xsl:variable name="number">
		<xsl:number count="appendix" from="article" level="single"/>
	</xsl:variable>
	<xsl:if test="$number = 1">
		<br/>
	</xsl:if>
	<a>
		<xsl:call-template name="linkNumber"/>
	</a>
	<p class="large">
		<xsl:call-template name="appendixNumber"/>
	</p>
	<xsl:apply-templates select="pa"/>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="linkNumber">
	<xsl:attribute name="name">
		<xsl:text>h</xsl:text>
		<xsl:number count="section | appendix" from="article" level="any"/>
	</xsl:attribute>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="sectionNumber">
	<xsl:param name="swTitle" select="''"/>
	<xsl:number count="section" from="article" format="1.1.1" level="multiple"/>
	<xsl:call-template name="setTitle">
		<xsl:with-param name="swTitle" select="$swTitle"/>
		<xsl:with-param name="title" select="title/text()"/>
	</xsl:call-template>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="appendixNumber">
	<xsl:param name="swTitle" select="''"/>
	<xsl:text>t^i</xsl:text>
	<xsl:number count="appendix" from="article" format="1" level="single"/>
	<xsl:text>j</xsl:text>
	<xsl:call-template name="setTitle">
		<xsl:with-param name="swTitle" select="$swTitle"/>
		<xsl:with-param name="title" select="title"/>
	</xsl:call-template>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="section/pa | appendix/pa">
	<p>
		<table width="100%">
		<tr><td width="11pt"><xsl:text>@</xsl:text></td>
			<td>
				<xsl:apply-templates />
			</td></tr>
		</table>
	</p>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="article/pa">
	<p>
		<xsl:apply-templates />
	</p>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="preface/pa">
	<xsl:variable name="number">
		<xsl:number count="pa" from="preface" level="single"/>
	</xsl:variable>
	<xsl:if test="$number != 1">
		<tr align="left"><td><xsl:text>@</xsl:text></td></tr>
	</xsl:if>
	<tr align="left">
		<td>
			<xsl:apply-templates />
		</td>
	</tr>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="trailing">
	<xsl:call-template name="ijyo" />
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="ijyo">
	<p>
		<table width="100%"><tr><td width="80%"></td>
		<td>
			<span class="medium">ȏ</span>
			</td></tr>
		</table>
	</p>
</xsl:template>
<!-- ================================================= -->
<!-- ȉ pa ̎q̗vf`B				   -->
<!-- ================================================= -->
<xsl:template match="a">
	<a href="{@href}">
		<xsl:apply-templates select="@target"/>
		<xsl:apply-templates select="img | text()" />
	</a>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="blockquote">
	<blockquote>
		<xsl:apply-templates />
	</blockquote>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="br">
	<br>
		<xsl:apply-templates select="@clear"/>
	</br>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="center">
	<center>
		<xsl:apply-templates />
	</center>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="dl | dl-n">
	<xsl:param name="level" select="'0'"/>
	<dl>
		<xsl:choose>
		<xsl:when test="name(.) = 'dl-n'">
			<xsl:apply-templates select="dt | dd">
				<xsl:with-param name="level" select="$level + 1"/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>		<!--	dl		-->
			<xsl:apply-templates select="dt | dd">
				<xsl:with-param name="level" select="$level"/>
			</xsl:apply-templates>
		</xsl:otherwise>
		</xsl:choose>
	</dl>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="dt">
	<xsl:param name="level" select="'0'"/>
	<dt>
		<xsl:if test="name(..) = 'dl-n'">
			<!--	dl-n	-->
			<xsl:choose>
			<xsl:when test="$level = '1'">
				<xsl:number level="single" from="dl-n" count="dt" format="1"/>
				<xsl:text>) </xsl:text>
			</xsl:when>
			<xsl:when test="$level = '2'">
				<xsl:number level="single" from="dl-n" count="dt" format="a"/>
				<xsl:text>) </xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:number level="single" from="dl-n" count="dt" format="i"/>
				<xsl:text>) </xsl:text>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:value-of select="text()"/>
	</dt>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="dd">
	<xsl:param name="level" select="'0'"/>
	<dd>
		<xsl:apply-templates>
			<xsl:with-param name="level" select="$level"/>
		</xsl:apply-templates>
	</dd>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="img">
	<img src="{@src}">
		<xsl:apply-templates select="@align"/>
		<xsl:apply-templates select="@alt"/>
		<xsl:apply-templates select="@width"/>
		<xsl:apply-templates select="@height"/>
	</img>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="ol | ul">
	<xsl:param name="level" select="'0'"/>
	<!-- dl/dd̒olgpꍇA
	\ɂIẼG[ŉËꕔ\ȂȂ邽ߎs֏C
	<table width="100%" style="FONT-SIZE:normal">
	<table style="FONT-SIZE:normal">
	-->
	<table>
		<xsl:choose>
		<xsl:when test="name(.) = 'ol'">
			<xsl:apply-templates select="li">
				<xsl:with-param name="level" select="$level + 1"/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>		<!-- ul -->
			<xsl:apply-templates select="li">
				<xsl:with-param name="level" select="$level"/>
			</xsl:apply-templates>
		</xsl:otherwise>
		</xsl:choose>
	</table>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="li">
	<xsl:param name="level" select="'0'"/>
	<tr>
		<td width="28pt" align="right" valign="top">
			<xsl:choose>
			<xsl:when test="name(..) = 'ol' and $level = '1'">
				<xsl:number level="single" count="li" from="ol" format="1"/>
				<xsl:text>) </xsl:text>
			</xsl:when>
			<xsl:when test="name(..) = 'ol' and $level = '2'">
				<xsl:number level="single" count="li" from="ol" format="a"/>
				<xsl:text>) </xsl:text>
			</xsl:when>
			<xsl:when test="name(..) = 'ol'">		<!-- not '1' or '2' -->
				<xsl:number level="single" count="li" from="ol" format="i"/>
				<xsl:text>) </xsl:text>
			</xsl:when>
			<xsl:otherwise>		<!-- ul -->
				<xsl:text>E </xsl:text>
			</xsl:otherwise>
			</xsl:choose>
		</td>
		<td width="2pt"> </td>
		<td valign="top">
			<xsl:apply-templates>
				<xsl:with-param name="level" select="$level"/>
			</xsl:apply-templates>
		</td>
	</tr>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="pre">
	<pre class="pre">
		<xsl:apply-templates/>
	</pre>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="small">
	<small>
		<xsl:apply-templates select="text()"/>
	</small>
</xsl:template>
<!-- ================================================== -->
<xsl:template match="table">
	<table>
		<xsl:apply-templates select="@border"/>
		<xsl:apply-templates select="@width"/>
		<xsl:apply-templates select="@ref-id"/>
		<xsl:apply-templates select="caption|tr|tr-nc"/>
	</table>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="caption">
	<xsl:if test="string-length(normalize-space(../@ref-id)) = 0">
		<caption class="medium">
			<xsl:value-of select="text()" />
		</caption>
	</xsl:if>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="tr">
    <tr>
		<xsl:apply-templates select="@align"/>
		<xsl:apply-templates select="@valign"/>
		<xsl:apply-templates select="th | td"/>
    </tr>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="th">
	<th>
		<xsl:apply-templates select="@align"/>
		<xsl:apply-templates select="@colspan"/>
		<xsl:apply-templates select="@rowspan"/>
		<xsl:apply-templates select="@valign"/>
		<xsl:apply-templates select="@width"/>
			<xsl:apply-templates select="br | text()"/>
	</th>
</xsl:template>
<!-- ================================================= -->
<xsl:template match="td">
	<td>
		<xsl:apply-templates select="@align"/>
		<xsl:apply-templates select="@colspan"/>
		<xsl:apply-templates select="@rowspan"/>
		<xsl:apply-templates select="@valign"/>
		<xsl:apply-templates select="@width"/>
		<xsl:variable name="value" select="normalize-space(text())" />
		<xsl:choose>
		<xsl:when test="$value = 'q-n' or starts-with($value, 'q-n')">
			<xsl:call-template name="q-n"/>
		</xsl:when>
		<xsl:otherwise>
	    	<xsl:apply-templates />
		</xsl:otherwise>
		</xsl:choose>
	</td>
</xsl:template>
<!-- ================================================= -->
<xsl:template name="q-n">
	<xsl:variable name="value" select="normalize-space(.)"/>
	<xsl:if test="string-length(normalize-space(@align)) = 0">
		<xsl:attribute name="align">
			<xsl:value-of select="'right'"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:number count="tr" from="table" level="single" format="1" />
	<xsl:if test="string-length($value) &gt; 3">
		<xsl:value-of select="substring-after($value, 'q-n')"/>
	</xsl:if>
</xsl:template>
<!-- ================================================== -->
<!--	ȉ͑̏								-->
<!-- ================================================== -->
<xsl:template match="@alt">
	<xsl:attribute name="alt">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@align">
	<xsl:attribute name="align">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@border">
	<xsl:attribute name="border">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@class">
	<xsl:attribute name="class">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@clear">
	<xsl:attribute name="clear">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@colspan">
	<xsl:attribute name="colspan">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@height">
	<xsl:attribute name="height">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@rowspan">
	<xsl:attribute name="rowspan">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@target">
	<xsl:attribute name="target">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@valign">
	<xsl:attribute name="valign">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@width">
	<xsl:attribute name="width">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="fig">
	<table>
	<tr><td align="center">
		<img src="{@src}">
			<xsl:apply-templates select="@alt"/>
			<xsl:apply-templates select="@width"/>
			<xsl:apply-templates select="@height"/>
		</img>
		</td></tr>
	<xsl:if test="string-length(normalize-space(@ref-id)) != 0
			or string-length(normalize-space(title/text())) != 0">
		<tr><td align="center">
			<span class="medium">
				<xsl:apply-templates select="@ref-id"/>
				<xsl:if test="string-length(normalize-space(@ref-id)) = 0">
					<xsl:value-of select="title/text()"/>
				</xsl:if>
			</span>
			</td></tr>
	</xsl:if>
	</table>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="photo">
	<table>
	<tr><td align="center">
		<img src="{@src}">
			<xsl:apply-templates select="@alt"/>
			<xsl:apply-templates select="@width"/>
			<xsl:apply-templates select="@height"/>
		</img>
		</td></tr>
	<xsl:if test="string-length(normalize-space(@ref-id)) != 0
			or string-length(normalize-space(title/text())) != 0">
		<tr><td align="center">
			<span class="medium">
				<xsl:apply-templates select="@ref-id"/>
				<xsl:if test="string-length(normalize-space(@ref-id)) = 0">
					<xsl:value-of select="title/text()"/>
				</xsl:if>
			</span>
		</td></tr>
	</xsl:if>
	</table>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="tr-nc">
    <tr>
		<xsl:apply-templates select="@align"/>
		<xsl:apply-templates select="@valign"/>
		<xsl:apply-templates select="th | td"/>
	</tr>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="ref">
	<xsl:variable name="value">
		<xsl:apply-templates select="ancestor::article" mode="count">
			<xsl:with-param name="ref-id" select="@ref-id"/>
			<xsl:with-param name="swTitle" select="@swTitle"/>
		</xsl:apply-templates>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="string-length(normalize-space($value)) != 0">
		<xsl:value-of select="$value"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="'REFF'"/>
		<xsl:text>&quot;</xsl:text>
		<xsl:value-of select="@ref-id"/>
		<xsl:text>&quot;</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="article" mode="count">
	<xsl:param name="ref-id" select="''"/>
	<xsl:param name="swTitle" select="''"/>
	<xsl:apply-templates select="child::node()" mode="count">
		<xsl:with-param name="ref-id" select="$ref-id"/>
		<xsl:with-param name="swTitle" select="$swTitle"/>
	</xsl:apply-templates>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="node()" mode="count">
	<xsl:param name="ref-id" select="''"/>
	<xsl:param name="swTitle" select="''"/>
	<xsl:apply-templates select="child::node()" mode="count">
		<xsl:with-param name="ref-id" select="$ref-id"/>
		<xsl:with-param name="swTitle" select="$swTitle"/>
	</xsl:apply-templates>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="text()" mode="count">
	
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="appendix" mode="count">
	<xsl:param name="ref-id" select="''"/>
	<xsl:param name="swTitle" select="''"/>
	<xsl:if test="normalize-space($ref-id) = @ref-id">
		<xsl:call-template name="appendixNumber">
			<xsl:with-param name="swTitle" select="$swTitle"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="fig" mode="count">
	<xsl:param name="ref-id" select="''"/>
	<xsl:param name="swTitle" select="''"/>
	<xsl:if test="normalize-space($ref-id) = @ref-id">
		<xsl:apply-templates select="@ref-id">
			<xsl:with-param name="swTitle" select="$swTitle"/>
		</xsl:apply-templates>
	</xsl:if>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="photo" mode="count">
	<xsl:param name="ref-id" select="''"/>
	<xsl:param name="swTitle" select="''"/>
	<xsl:if test="normalize-space($ref-id) = @ref-id">
		<xsl:apply-templates select="@ref-id">
			<xsl:with-param name="swTitle" select="$swTitle"/>
		</xsl:apply-templates>
	</xsl:if>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="section" mode="count">
	<xsl:param name="ref-id" select="''"/>
	<xsl:param name="swTitle" select="''"/>
	<xsl:choose>
	<xsl:when test="normalize-space($ref-id) = @ref-id">
		<xsl:call-template name="sectionNumber">
			<xsl:with-param name="swTitle" select="$swTitle"/>
		</xsl:call-template>
	</xsl:when>
	<xsl:otherwise>
		<xsl:apply-templates select="child::node()" mode="count">
			<xsl:with-param name="ref-id" select="$ref-id"/>
			<xsl:with-param name="swTitle" select="$swTitle"/>
		</xsl:apply-templates>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="table" mode="count">
	<xsl:param name="ref-id" select="''"/>
	<xsl:param name="swTitle" select="''"/>
	<xsl:choose>
	<xsl:when test="normalize-space($ref-id) = @ref-id">
		<xsl:apply-templates select="@ref-id" mode="count">
			<xsl:with-param name="swTitle" select="$swTitle"/>
		</xsl:apply-templates>
	</xsl:when>
	<xsl:otherwise>
		<xsl:apply-templates select="child::node()" mode="count">
			<xsl:with-param name="ref-id" select="$ref-id"/>
			<xsl:with-param name="swTitle" select="$swTitle"/>
		</xsl:apply-templates>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="table/@ref-id" mode="count">
	<xsl:param name="swTitle" select="''"/>
	<xsl:call-template name="tableRef-idProc">
		<xsl:with-param name="swTitle" select="$swTitle"/>
	</xsl:call-template>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="fig/@ref-id">
	<xsl:param name="swTitle" select="''"/>
	<xsl:variable name="number2">
		<xsl:number count="section//fig[string-length(@ref-id) != 0]"
			 from="article/section" level="any" format="1"/>
	</xsl:variable>
	<xsl:variable name="number3">
		<xsl:number from="article" level="any" format="1"
			 count="fig[string-length(normalize-space(@ref-id)) != 0]"/>
	</xsl:variable>
	<xsl:call-template name="setRef-id">
		<xsl:with-param name="type" select="'}'"/>
		<xsl:with-param name="title" select="../title"/>
		<xsl:with-param name="number2" select="$number2"/>
		<xsl:with-param name="number3" select="$number3"/>
		<xsl:with-param name="swTitle" select="$swTitle"/>
	</xsl:call-template>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="photo/@ref-id">
	<xsl:param name="swTitle" select="''"/>
	<xsl:variable name="number2">
		<xsl:number count="photo[string-length(@ref-id) != 0]"
			 from="article/section" level="any" format="1"/>
	</xsl:variable>
	<xsl:variable name="number3">
		<xsl:number from="article" level="any" format="1"
			 count="photo[string-length(normalize-space(@ref-id)) != 0]"/>
	</xsl:variable>
	<xsl:call-template name="setRef-id">
		<xsl:with-param name="type" select="'ʐ^'"/>
		<xsl:with-param name="title" select="../title"/>
		<xsl:with-param name="number2" select="$number2"/>
		<xsl:with-param name="number3" select="$number3"/>
		<xsl:with-param name="swTitle" select="$swTitle"/>
	</xsl:call-template>
</xsl:template>
<!-- =============================================================== -->
<xsl:template match="table/@ref-id">
	<caption class="medium">
		<xsl:call-template name="tableRef-idProc"/>
	</caption>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="tableRef-idProc">
	<xsl:param name="swTitle" select="''"/>
	<xsl:variable name="number2">
		<xsl:number count="table[string-length(@ref-id) != 0]"
			 from="article/section" level="any" format="1"/>
	</xsl:variable>
	<xsl:variable name="number3">
		<xsl:number count="table[string-length(normalize-space(@ref-id)) != 0]"
			 from="article" level="any" format="1"/>
	</xsl:variable>
	<xsl:call-template name="setRef-id">
		<xsl:with-param name="type" select="'\'"/>
		<xsl:with-param name="title" select="../caption"/>
		<xsl:with-param name="number2" select="$number2"/>
		<xsl:with-param name="number3" select="$number3"/>
		<xsl:with-param name="swTitle" select="$swTitle"/>
	</xsl:call-template>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="setRef-id">
	<xsl:param name="type" select="''"/>
	<xsl:param name="title" select="''"/>
	<xsl:param name="number2" select="''"/>
	<xsl:param name="number3" select="''"/>
	<xsl:param name="swTitle" select="''"/>
	<xsl:variable name="number1">
		<xsl:number count="article/section" from="article"
				 level="any"  format="1"/>
	</xsl:variable>
	<xsl:value-of select="$type"/>
	<xsl:choose>
	<xsl:when test="ancestor::section
			and $numbering = 'section'">
		<xsl:value-of select="$number1"/>
		<xsl:text>.</xsl:text>
		<xsl:value-of select="$number2"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number3"/>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:call-template name="setTitle">
		<xsl:with-param name="swTitle" select="$swTitle"/>
		<xsl:with-param name="title" select="$title"/>
	</xsl:call-template>
</xsl:template>
<!-- =============================================================== -->
<xsl:template name="setTitle">
	<xsl:param name="swTitle" select="''"/>
	<xsl:param name="title" select="''"/>
	<xsl:if test="string-length(normalize-space($swTitle)) = 0 
			or $swTitle != 'off'">
		<xsl:text> </xsl:text>
		<xsl:value-of select="normalize-space($title)"/>
	</xsl:if>
</xsl:template>
<!-- =============================================================== -->
</xsl:stylesheet>
