<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- ezdoc-index.xsl -->
<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" version="1.0" encoding="Shift_JIS" indent="yes"
		doctype-public="-//W3C//DTD XHTML 1.0 Frameset//EN"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd"
		/>

<xsl:variable name="right-frame" select="'ezdoc-right'"/>
<xsl:variable name="file-name" select="document('ezdoc-ini.xml',.)/parameter"/>
<xsl:variable name="pos" select="'./'"/>

<xsl:template match="/">
	<xsl:apply-templates select="article"/>
</xsl:template>

<xsl:template match="article">
	<xsl:call-template name="htmlProc"/>
</xsl:template>

<xsl:template name="htmlProc">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
		<head>
			<xsl:call-template name="title"/>
		</head>
		<xsl:call-template name="frames"/>
	</html>
</xsl:template>

<xsl:template name="title">
	<title>
		<xsl:value-of select="title" />
	</title>
</xsl:template>

<xsl:template name="frames">
	<frameset cols="20%,*" frameborder="no">
		<frame>
			<xsl:attribute name="src">
				<xsl:value-of select="concat($file-name/name, '-left.html')"/>
			</xsl:attribute>
		</frame>
		<frame>
			<xsl:attribute name="src">
				<xsl:value-of select="concat($file-name/name, '.html')"/>
			</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:value-of select="$right-frame"/>
			</xsl:attribute>
		</frame>
	</frameset>
</xsl:template>

</xsl:stylesheet>
