<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- mkezdoc-integ.xsl -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="Shift_JIS" indent="yes"/>

<xsl:template match="/">
	<xsl:apply-templates select="files" />
</xsl:template>

<xsl:template match="files">
	<article>
		<xsl:apply-templates select="file[1]" mode="head"/>
		<xsl:apply-templates select="file" mode="section"/>
		<xsl:apply-templates select="file" mode="appendix"/>
	</article>
</xsl:template>

<xsl:template match="file" mode="head">
	<xsl:variable name="doc" select="document(normalize-space(.),.)/article"/>
	<xsl:text>
	</xsl:text>
	<xsl:copy-of select="$doc/title" />
	<xsl:text>
	</xsl:text>
	<xsl:copy-of select="$doc/subtitle" />
	<xsl:text>
	</xsl:text>
	<xsl:copy-of select="$doc/date" />
	<xsl:text>
	</xsl:text>
	<xsl:copy-of select="$doc/organization" />
	<xsl:text>
	</xsl:text>
	<xsl:copy-of select="$doc/auther" />
	<xsl:copy-of select="$doc/author" />
	<xsl:text>
	</xsl:text>
	<xsl:copy-of select="$doc/preface" />
</xsl:template>

<xsl:template match="file" mode="section">
	<xsl:variable name="file" select="normalize-space(.)"/>
	<xsl:apply-templates select="document($file,.)/article/section"/>
</xsl:template>

<xsl:template match="file" mode="appendix">
	<xsl:variable name="file" select="normalize-space(.)"/>
	<xsl:apply-templates select="document($file,.)/article/appendix"/>
</xsl:template>

<xsl:template match="section">
	<xsl:text>
</xsl:text>
	<xsl:copy-of select="." />
</xsl:template>

<xsl:template match="appendix">
	<xsl:text>
	</xsl:text>
	<xsl:copy-of select="." />
</xsl:template>

</xsl:stylesheet>
