<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- ezdoc-left.xsl -->
<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" version="1.0" encoding="Shift_JIS" indent="yes"
		doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
		/>

<xsl:variable name="right-frame" select="'ezdoc-right'"/>
<xsl:variable name="file-name" select="document('ezdoc-ini.xml',.)/parameter"/>
<xsl:variable name="version" select="'EZDOC Version 7.3'"/>

<xsl:template match="/">
	<xsl:apply-templates select="article" />
</xsl:template>

<xsl:template match="article">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
		<head>
			<xsl:call-template name="head"/>
		</head>
		<body class="base">
			<xsl:call-template name="body"/>
		</body>
	</html>
</xsl:template>

<xsl:template name="head">
	<meta http-equiv="Content-Style-Type" content="text/css"/>
	<xsl:call-template name="font-set"/>
</xsl:template>

<xsl:template name="font-set">
	<style type="text/css">
		<xsl:comment>
			.base	{background-color:gainsboro;	font-size:smaller;}
		</xsl:comment>
	</style>
</xsl:template>

<xsl:template name="body">
	<xsl:call-template name="heading"/>
	<xsl:call-template name="bodyProc"/>
	<xsl:call-template name="tailing"/>
</xsl:template>

<xsl:template name="heading">
	<center>@ڎ@</center>
	<br />
	<a>
		<xsl:attribute name="href">
			<xsl:text>./</xsl:text>
			<xsl:value-of select="$file-name/name" />
			<xsl:text>.html#h0</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="target">
			<xsl:value-of select="$right-frame"/>
		</xsl:attribute>
		[擪]
	</a>
	<br />
	<br />
</xsl:template>

<xsl:template name="tailing">
	<xsl:text>[ </xsl:text>
	<xsl:value-of select="$version"/>
	<xsl:text> ]</xsl:text>
</xsl:template>

<xsl:template name="bodyProc">
	<xsl:for-each select="section">
		<xsl:apply-templates select="."/>
	</xsl:for-each>
	<br/>
	<xsl:for-each select="appendix">
		<xsl:apply-templates select="."/>
	</xsl:for-each>
</xsl:template>

<xsl:template match="section">
	<a>
		<xsl:attribute name="href">
			<xsl:value-of select="$file-name/name" />
			<xsl:text>.html#h</xsl:text>
			<xsl:number count="section | appendix" from="article"
				 format="1" level="any"/>
		</xsl:attribute>
		<xsl:attribute name="target">
			<xsl:value-of select="$right-frame"/>
		</xsl:attribute>
		<xsl:number count="section" from="article"
			 format="1.1.1" level="multiple"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="./title" />
	</a>
	<br />
	<br />
	<xsl:apply-templates select="section"/>
</xsl:template>

<xsl:template match="appendix">
	<a>
		<xsl:attribute name="href">
			<xsl:value-of select="$file-name/name" />
			<xsl:text>.html#h</xsl:text>
			<xsl:number count="section | appendix" from="article"
				 format="1" level="any"/>
		</xsl:attribute>
		<xsl:attribute name="target">
			<xsl:value-of select="$right-frame"/>
		</xsl:attribute>
		<xsl:text>t^i</xsl:text>
		<xsl:number count="appendix" from="article" format="1" level="single"/>
		<xsl:text>j </xsl:text>
		<xsl:value-of select="./title" />
	</a>
	<br />
	<br />
</xsl:template>

</xsl:stylesheet>
