<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- mkezdoc-xsl.xsl -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="Shift_JIS" indent="yes"/>
<!-- =====ezdoc-ini.xml===================================================== -->
<xsl:variable name="parameter" select="document('ezdoc-ini.xml',.)/parameter"/>
<xsl:variable name="level" select="$parameter/level"/>
<xsl:variable name="document" select="$parameter/name"/>
<xsl:variable name="FName">
	<xsl:text>./</xsl:text>
	<xsl:value-of select="$document"/>
	<xsl:text>.xsl</xsl:text>
</xsl:variable>
<xsl:template match="/">
	<xsl:apply-templates select="document('ezdoc.xsl')" mode="target"/>
</xsl:template>
<!-- =====ezdoc.xsl========================================================= -->
<xsl:template match="/" mode="target">
	<xsl:text>
			</xsl:text>
	<xsl:comment> ezdoc.xsl </xsl:comment>
	<xsl:apply-templates select="xsl:stylesheet"/>
</xsl:template>

<xsl:template match="xsl:stylesheet">
	<xsl:element name="{name()}"
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
		<xsl:attribute name="version">
			<xsl:value-of select="@version"/>
		</xsl:attribute>
		<xsl:apply-templates select="xsl:import"/>
		<xsl:copy-of select="xsl:output"/>
		<xsl:copy-of select="child::comment()"/>
	</xsl:element>
</xsl:template>

<xsl:template match="xsl:import">
	<xsl:element name="{name()}">
		<xsl:attribute name="href">
			<xsl:choose>
			<xsl:when test="$level = 1">
				<xsl:text>..</xsl:text>
			</xsl:when>
			<xsl:when test="$level = 2">
				<xsl:text>../..</xsl:text>
			</xsl:when>
			<xsl:when test="$level = 3">
				<xsl:text>../../..</xsl:text>
			</xsl:when>
			<xsl:when test="$level = 4">
				<xsl:text>../../../..</xsl:text>
			</xsl:when>
			<xsl:when test="$level = 5">
				<xsl:text>../../../../..</xsl:text>
			</xsl:when>
			<xsl:when test="$level = 6">
				<xsl:text>../../../../../..</xsl:text>
			</xsl:when>
			<xsl:when test="$level = 7">
				<xsl:text>../../../../../../..</xsl:text>
			</xsl:when>
			</xsl:choose>
			<xsl:text>/creaTool/ezdoc-73/tool/ezdocCore.xsl</xsl:text>
		</xsl:attribute>
	</xsl:element>
</xsl:template>

</xsl:stylesheet>
